Subject: Re: bug#52276: 28.0.50; [PATCH] Scuttle compiler warning in image.c

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Dec 2021 22:22:02 +0100

dick <[email-masked]> writes:

> I only recently discovered --enable-checking.  And here I thought all my
> easserts were actually in force.

[...]

>> What gcc version gives you a warning?

You didn't answer my question, but:

> System Description: Ubuntu 18.04.4 LTS

So I guess it's an old gcc version.

Looking at the function in question again, the warning seems spurious.
We do cater to compiler bugs, but not for older gcc versions (which I
have to guess you're using, since you didn't answer), so I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no